Article Empties
Frequency:
Article empties master data changes are required to be sent in near real-time. Any change to an interface field in the external system should trigger the interface.
Expected data:
List of empties for articles.
Technical:
If an article empties record does not exist in DSWMS, the record will be created.
If an article empties record already exists in DSWMS, the existing record will be updated with the new data.
The empties array is the complete list of empties for the article. Records stored in DSWMS that are missing from the request are deleted. Send "empties": [] to remove all empties from an article.
article_empty_id must already exist in DSWMS as an article and plant_id as a plant. Otherwise the record fails with Empty <article_empty_id> not found or Plant <plant_id> not found.
POST https://{url}/v1/articles/empties
Create or update article empties.
Request Body
The request body is a JSON array of objects. Each object contains an article_id and an empties array with the empty container details.
Top-level object:
| Name | Type | Required | Description |
|---|---|---|---|
| article_id | string | Yes | Article unique identifier in ERP |
| empties | array | Yes | Array of empty objects for the article |
Empty object (inside empties array):
| Name | Type | Required | Description |
|---|---|---|---|
| article_empty_id | string | Yes | Article empty unique identifier in ERP |
| plant_id | string | Yes | Plant unique identifier in ERP |
| quantity | integer | Yes | Number of units that fit into the empty container |
Request Example
[
{
"article_id": "0001",
"empties": [
{
"article_empty_id": "8829",
"plant_id": "102849",
"quantity": 6
},
{
"article_empty_id": "2028",
"plant_id": "102849",
"quantity": 12
}
]
},
{
"article_id": "0047",
"empties": [
{
"article_empty_id": "8829",
"plant_id": "102849",
"quantity": 6
}
]
}
]
Request example (delete all empties from a single article):
[
{
"article_id": "0001",
"empties": []
}
]
Response
200: OK — Success
{
"success": true,
"message": null
}
400: Bad Request — Error
{
"success": false,
"message": "Not all article empties were imported",
"errors": [
{
"article_id": "0001",
"error": "Quantity is undefined"
}
]
}